import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { RxapFormControl, RxapFormGroup } from '@rxap/forms';
import * as i0 from "@angular/core";
export declare class FormArrayRemovableDirective implements AfterViewInit, OnDestroy {
    protected readonly parent: ControlContainer;
    protected control: RxapFormGroup<{
        deleted: boolean;
    }>;
    protected deletedControl: RxapFormControl<boolean>;
    private _deletedControlValueSubscription?;
    constructor(parent: ControlContainer);
    get isDeleted(): boolean;
    protected get isDisabled(): boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormArrayRemovableDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormArrayRemovableDirective, "[rxapFormArrayRemovable]", never, {}, {}, never, never, true, never>;
}
